#!/usr/bin/bash

su - virgo
echo "Starting RabbitMQ Server"
# systemctl is-active --quiet rabbitmq-server || systemctl start rabbitmq-server
echo "Importing RabbitMQ Configuration"
# /usr/bin/python3 /opt/ECX/tools/import_rabbit_conf.pyc
echo "Completed the RabbitMQ Pre setup"

echo "Running Start SPP Virgo"
VIRGO_MAX_HEAP_MEMORY=$(/opt/ECX/sys/venv/bin/python3 /opt/ECX/sys/src/spp-sys.py memory allocation get --service virgo --units mb --precision 0)
echo "spp-sys is executed"
export RMQ_SERVER_HOST=$(hostname -I | awk '{ print $1 }' )
export SSICMAPI="/apil n"
export KEYSTORE_PASSWORD="ecx-beta"
export TRUSTSTORE_PASSWORD="ecx-beta"
export OVERRIDDEN_JAVA_OPTS="-Xms512m -XX:-UseCompressedOops -Djavax.net.ssl.trustStore=/opt/virgo/configuration/keystore -Djavax.net.ssl.trustStorePassword=ecx-beta -Xmx${VIRGO_MAX_HEAP_MEMORY}m -XX:HeapDumpPath=/data/log -Dorg.osgi.service.http.port=8080 -Dorg.eclipse.rwt.enableUITests=true -Declipse.registry.MultiLanguage=true -Dcom.sun.jndi.ldap.object.disableEndpointIdentification=true"
echo "Done exporting env variables"
/opt/virgo/bin/startup.sh
echo "Executed Startup Shell Script"
